package com.ywt.outpatient.api.medEquip;

import java.util.List;

/**
 * @author Walker
 * Created on 2021/7/6
 */
public class QueryOrderResp {
    private String orderNo;
    private String hospitalName;
    private String doctorName;
    private String deptName;
    private String patientName;
    private String patientIdCard;
    private Integer patientAge;
    private Integer patientGender;
    private String patientMobile;
    private String paymentTime;
    private String diagnose;
    private List<InspectionItem> inspectionItem;
    private Integer doctorSignId;
    private String remark;
    private Integer status;
    private String statusStr;
    private String payUrl;
    private String equipCode;
    private String senderName;
    private String recyclerName;
    private String refundApplyDoctor;
    private String refundRejectReason;
    private Integer equipId;
    private Integer orderId;
    private String createTime;
    private Integer totalPrice;
    private Integer refundFlag;
    private Integer allocFlag;
    private Integer recycleFlag;
    private List<Integer> btnFlags;
    private String doctorSignUrl;
    private Integer equipOrderId;
    private String recCode;
    private Boolean equipCodeEditable;
    private Integer hospitalId;
    private Integer changedHospitalId;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientIdCard() {
        return patientIdCard;
    }

    public void setPatientIdCard(String patientIdCard) {
        this.patientIdCard = patientIdCard;
    }

    public Integer getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(Integer patientAge) {
        this.patientAge = patientAge;
    }

    public Integer getPatientGender() {
        return patientGender;
    }

    public void setPatientGender(Integer patientGender) {
        this.patientGender = patientGender;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public String getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(String paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getDiagnose() {
        return diagnose;
    }

    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }

    public List<InspectionItem> getInspectionItem() {
        return inspectionItem;
    }

    public void setInspectionItem(List<InspectionItem> inspectionItem) {
        this.inspectionItem = inspectionItem;
    }

    public Integer getDoctorSignId() {
        return doctorSignId;
    }

    public void setDoctorSignId(Integer doctorSignId) {
        this.doctorSignId = doctorSignId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getPayUrl() {
        return payUrl;
    }

    public void setPayUrl(String payUrl) {
        this.payUrl = payUrl;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getRecyclerName() {
        return recyclerName;
    }

    public void setRecyclerName(String recyclerName) {
        this.recyclerName = recyclerName;
    }

    public String getRefundApplyDoctor() {
        return refundApplyDoctor;
    }

    public void setRefundApplyDoctor(String refundApplyDoctor) {
        this.refundApplyDoctor = refundApplyDoctor;
    }

    public String getRefundRejectReason() {
        return refundRejectReason;
    }

    public void setRefundRejectReason(String refundRejectReason) {
        this.refundRejectReason = refundRejectReason;
    }

    public Integer getEquipId() {
        return equipId;
    }

    public void setEquipId(Integer equipId) {
        this.equipId = equipId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Integer getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Integer totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getRefundFlag() {
        return refundFlag;
    }

    public void setRefundFlag(Integer refundFlag) {
        this.refundFlag = refundFlag;
    }

    public Integer getAllocFlag() {
        return allocFlag;
    }

    public void setAllocFlag(Integer allocFlag) {
        this.allocFlag = allocFlag;
    }

    public Integer getRecycleFlag() {
        return recycleFlag;
    }

    public void setRecycleFlag(Integer recycleFlag) {
        this.recycleFlag = recycleFlag;
    }

    public List<Integer> getBtnFlags() {
        return btnFlags;
    }

    public void setBtnFlags(List<Integer> btnFlags) {
        this.btnFlags = btnFlags;
    }

    public String getDoctorSignUrl() {
        return doctorSignUrl;
    }

    public void setDoctorSignUrl(String doctorSignUrl) {
        this.doctorSignUrl = doctorSignUrl;
    }

    public Integer getEquipOrderId() {
        return equipOrderId;
    }

    public void setEquipOrderId(Integer equipOrderId) {
        this.equipOrderId = equipOrderId;
    }

    public String getRecCode() {
        return recCode;
    }

    public void setRecCode(String recCode) {
        this.recCode = recCode;
    }

    public Boolean getEquipCodeEditable() {
        return equipCodeEditable;
    }

    public void setEquipCodeEditable(Boolean equipCodeEditable) {
        this.equipCodeEditable = equipCodeEditable;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getChangedHospitalId() {
        return changedHospitalId;
    }

    public void setChangedHospitalId(Integer changedHospitalId) {
        this.changedHospitalId = changedHospitalId;
    }
}
